Bug 427205 - RHEL5, make tcp_input_metrics() get minimum RTO via tcp_rto_min()
RHEL5, make tcp_input_metrics() get minimum RTO via tcp_rto_min()
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Anton Arapov
Martin Jenner
:
Depends On: 427204
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-02 04:37 EST by Anton Arapov
Modified: 2014-06-18 04:01 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:05:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (589 bytes, patch)
2008-01-02 05:14 EST, Anton Arapov
no flags Details | Diff

  None (edit)
Description Anton Arapov 2008-01-02 04:37:18 EST
+++ This bug was initially created as a clone of Bug #427204 +++

tcp_input_metrics() refers to the built-time constant TCP_RTO_MIN regardless of
configured minimum RTO with iproute2.

this fix is needed against bz#303011:
https://bugzilla.redhat.com/show_bug.cgi?id=303011

patch in upstream:
http://git.kernel.org/?p=linux/kernel/git/davem/net-2.6.git;a=commit;h=488faa2ae32c2f8b1ffda5c7fae5eb7c979acc15
Comment 1 Anton Arapov 2008-01-02 05:14:27 EST
Created attachment 290642 [details]
proposed patch

backported from upstream
Comment 2 RHEL Product and Program Management 2008-01-14 02:36:41 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Don Zickus 2008-01-21 12:30:29 EST
in 2.6.18-71.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 6 errata-xmlrpc 2008-05-21 11:05:30 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html

Note You need to log in before you can comment on or make changes to this bug.